Which version of XAMPP to use

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Which version of XAMPP to use

Postby elkiwigrande » 07. July 2017 17:53

Hello. Long time listener, first time caller.

In the past I have downloaded and installed the latest version of XAMPP for my local Wordpress (WP) development. On the live side, I use Hostgator (HG) shared Reseller hosting.

Up to this point, I have not had any errors or problems with HGs environment but I read yesterday that local development should take place in an environment that duplicates the live one. The latest version of WP has the following recommendations for a host:

    PHP version 7 or greater
    MySQL version 5.6 or greater OR MariaDB version 10.0 or greater
    HTTPS support
On the HG side I can configure PHP to be handled by PHP7, but they only have MySQL at v5.5, with no ability to upgrade it to at least v5.6. Their plans are to upgrade their MySQL environment to v5.6 over the next 18 months.

My Question: Should I be using an older version of XAMPP and WP that use MySQL v5.5 to do local development, knowing that it will definitely work when I transfer it to live OR are the differences between MySQl v5.5 and v5.6 so small as to be insignificant?

Thanks to all for viewing.
elkiwigrande
 
Posts: 1
Joined: 07. July 2017 17:12
XAMPP version: 5.6.30
Operating System: Windows 8.1

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 60 guests